@echo off
if "%1"=="" goto usage
if not exist %1.asm goto exist
if not exist tasm.exe goto notasm
if not exist tasm80.tab goto notasm80
if not exist prgm86.exe goto noprgm86
if not exist asm86.h goto noasm86
tasm -80 -b %1.asm
if errorlevel 1 goto errors
ren %1.obj %1
prgm86 %1
if exist %1.bak del %1.bak
if exist %1.lst del %1.lst
if exist %1 del %1
if exist assemble del assemble
if exist source del source
echo.
goto done
:usage
echo.
echo Usage: make86p [filename]     
echo.
echo Where [filename] is the assembly source file (leave off the ASM extension).
echo The following files must be present:
echo     tasm.exe
echo     tasm80.tab
echo     prgm86.exe
echo     asm86.h
echo.
goto done
:errors
echo ERRORS!
goto done
:exist
echo.
echo Can't find %1.asm
goto done
:notasm
echo.
echo Can't find tasm.exe
goto done
:notasm80
echo.
echo Can't find tasm80.tab
goto done
:noasm86
echo.
echo Can't find asm86.h
goto done
:noprgm86
echo.
echo Can't find prgm86.exe
:done
